package easydo.technology.service;

import easydo.technology.model.OutsourcingPlan;

import java.util.Map;

public interface OutsourcingPlanService {
    /**
     * 分页查询委外计划
     */
    Map<String, Object> getPage(Map<String, Object> map) throws Exception;

    /**
     * 保存委外计划
     */
    OutsourcingPlan save(OutsourcingPlan model) throws Exception;

    /**
     * 更新委外计划
     */
    OutsourcingPlan update(OutsourcingPlan model) throws Exception;

    /**
     * 删除委外计划
     */
    OutsourcingPlan remove(OutsourcingPlan model) throws Exception;
}
